@import '../../../../styles/variables';
@import '../../../../styles/mixins';

:host {
  position: fixed;
  bottom: 2rem;
  overflow: visible;
  height: auto;
  width: calc(100% - 10rem);
  max-width: inherit;
  display: flex;
  justify-content: flex-end;
  z-index: 10;

  @include lt-md {
    bottom: 5rem;
    width: calc(100% - 2rem);
  }

  ::ng-deep {
    nav > a,
    button + a,
    button {
      margin-top: $margin;
    }
  }
}

nav {
  display: flex;
  flex-direction: column;
  justify-content: center;
  align-items: center;
  box-sizing: border-box;
}
